<template>
  <view class="online-class-wrapper">
    <view class="headers">
      <headersVue
        headerTitle="在线选品列表"
        @headerJump="headerJump"
      ></headersVue>
	      <view class="headers-box">
      <searchVue
        placeholder="请输入商品名称"
        @search="onHandleSearch"
      ></searchVue>
      <!-- <tablist
        class="mt"
        :category="category"
        :curruntActive="curruntActive"
        @tabs="tabsHandleClick"
      ></tablist> -->
    </view>
    </view>
	<view class="online-content">
		<button @click="goJump">详情</button>
	</view>
  </view>
</template>

<script>
import headersVue from "../../shop/components/headers/headers.vue";
import searchVue from "../../shop/commodity/components/search/search.vue";
export default {
  components: {
    headersVue,
	searchVue
  },
  data() {
    return {
		   curruntActive: 0,
      category: [],
	};
  },
  methods:{
	headerJump(){
		uni.switchTab({ url: '../../shop/productManagementModule/index' })
	},
	goJump(){
		console.log("fff")
		uni.redirectTo({ url: './onlineDetail' })
	},
	onHandleSearch(val){

	},
	tabsHandleClick(){

	}
  }
};
</script>
<style>
page {
  background-color: #f7f8fc;
  height: 100%;
}
</style>
<style lang="scss" scoped>
.online-class-wrapper{
	height: 100%;
	.headers{
		border: 2rpx solid red;
		width: 100%;
		height: 100rpx;
		box-sizing: border-box;

	}
	.online-content{

	}
}
</style>
